Hi,

there are several issues with the configuration of clearing the language cache.

Wrong option naming in UserTSconfig

In "class.tx_lang_clearcachemenu.php" the UserTS option "options.clearCache.clearRTECache" is taken into account. This should be
renamed to "options.clearCache.clearLangCache".

"Clear cache" Icon next to the Username (Thunderstorm Icon) is not shown, if clearLangCache (aka
clearRTECache) is the only option to delete a cache.

I will dig into this. I assume that &$cacheActions are not initialized.

Configuration is inconsistent.

IMO the configuration of clearing the language cache is inconsistent to the rest of cache clearing. Why?
1) Clearing the the language cache is excluded from "Clear all caches" if
$GLOBALS['TYPO3_CONF_VARS']['SYS']['lang']['cache']['clear_menu'] is set
2) In order to enable clearing the language cache for normal editors, one has to set two values
    -  localconf.php: $GLOBALS['TYPO3_CONF_VARS']['SYS']['lang']['cache']['clear_menu'] = TRUE
    -  UserTSConfig: options.clearCache.clearLangCache

I am in favor of dropping $GLOBALS['TYPO3_CONF_VARS']['SYS']['lang']['cache']['clear_menu'].
1) Language Cache Clearing should be included in "Clear all caches" 
2) Other clear cache actions (pages / all)  do not require two config options set.

I will come up with a patch

Bests
Marcus

Related issues:
precedes TSconfig - Task # 47749: Update documentation of options.clearCache.... New 2013-04-30

Associated revisions
Revision b1caf3b1 - 2013-04-12 22:47 - Marcus Schwemer

[!!!][BUGFIX] Clear Language Cache Configuration broken

Rename BE user TS option
options.clearCache.clearRTECache
to
options.clearCache.clearLangCache
to determine whether the language cache clear item should be shown.

Fixes: #39103
Releases: 6.1

Change-Id: I701dc9a879de4f3681f3fb441545eaa6b3e08e3e
Reviewed-on: https://review.typo3.org/12912
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer
Reviewed-by: Stefan Neufeind
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2012-07-20 00:34 - Marcus Schwemer
- File master_39103_v01.diff added
- % Done changed from 0 to 100

Hi,

here is the patch. :-)

All three mentioned issues work now.

Bests
Marcus

#2 - 2012-07-20 00:54 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12912

#3 - 2012-07-20 00:59 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12912

#4 - 2012-07-20 01:09 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12912

#5 - 2012-07-20 01:18 - Gerrit Code Review
Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12912

#6 - 2013-01-28 23:22 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/12912

#7 - 2013-01-28 23:23 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/12912

#8 - 2013-04-12 18:06 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/12912

#9 - 2013-04-12 21:43 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/12912

#10 - 2013-04-12 23:30 - Marcus Schwemer
- Status changed from Under Review to Resolved

Applied in changeset commit:b1caf3b17746d90d8f51304aacd35dadabff4764.

Files
master_39103_v01.diff 2.7 kB 2012-07-20 Marcus Schwemer
